### Function

# JavaScriptCore OptionsFunc

#### Declaration

    gboolean
    (* JSCOptionsFunc) (
      const char* option,
      JSCOptionType type,
      const char* description,
      gpointer user_data
    )

#### Description [src]

Function used to iterate options.

Not that `description` string is not localized.

Available since: | 2.24

#### Parameters

`option` | `const char*`
| The option name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`type` | `JSCOptionType`
| The option `JSCOptionType`.
`description` | `const char*`
| The option description, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`user_data` | `gpointer`
| User data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop the iteration, or `FALSE` otherwise.